Name:           ocaml-release
Version:        1.1.0
Release:        %mkrel 2
Summary:        A multi-process daemon framework for OCaml
License:        MIT
Group:          Development/OCaml
URL:            https://forge.ocamlcore.org/projects/release/
Source0:        http://download.ocamlcore.org/release/template/release%{version}/release-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-lwt-devel
BuildRequires:  ocaml-uint-devel
Requires:       ocaml-uint
Requires:       ocaml-lwt

%description
Release is a multi-process Lwt-enabled daemon framework for OCaml,
providing facilities for type-safe inter-process communication and
privilege-dropping.

Its goal is to make it easy to write servers that are released from the
calling terminal and to release root privileges when those are not
necessary.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-uint-devel
Requires:       ocaml-lwt-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n release-%{version}

%build
ocaml setup.ml -configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --destdir %{buildroot}

ocaml setup.ml -build

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/release
ocaml setup.ml -install
ocaml setup.ml -doc
mv  _build/lib/config/release-config.docdir/  api-html

%files
%doc README.md LICENSE
%dir %{_libdir}/ocaml/release
%{_libdir}/ocaml/release/META
%{_libdir}/ocaml/release/*.cmi
%{_libdir}/ocaml/release/*.cma
%{_libdir}/ocaml/release/*.cmxs

%files devel
%doc api-html/
%{_libdir}/ocaml/release/*.a
%{_libdir}/ocaml/release/*.cmxa
%{_libdir}/ocaml/release/*.cmx
%{_libdir}/ocaml/release/*.mli
%{_libdir}/ocaml/release/*.ml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-2.mga4
+ Revision: 532283
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 blue_prawn <blue_prawn> 1.1.0-1.mga4
+ Revision: 467705
- updated to last version 1.1.0

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-4.mga3
+ Revision: 361585
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 02 2012 blue_prawn <blue_prawn> 1.0.0-3.mga3
+ Revision: 302148
- rebuild for new ocaml 4.00

* Sun Sep 30 2012 blue_prawn <blue_prawn> 1.0.0-2.mga3
+ Revision: 300830
- new rpm group for ocaml

* Sat Sep 15 2012 blue_prawn <blue_prawn> 1.0.0-1.mga3
+ Revision: 294005
- imported package ocaml-release

